'use strict';

var replaceClassNames = function replaceClassNames(selectors, styles, code) {
  var index = 0;
  return selectors.reduce(function (acc, className) {
    if (className.indexOf('.css-') === 0) {
      var escapedRegex = new RegExp(className.replace('.', '').replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&'), 'g');
      return acc.replace(escapedRegex, `glamor-${index++}`);
    }
    return acc;
  }, `${styles}\n\n${code}`);
};

module.exports = { replaceClassNames };